Subject: RE: Basic doubts on 1:1 path protection signaling.

From: "Balasubramania N. Pillai" <[email-masked]>
Date: Tue, 27 Apr 2004 11:02:22 -0400

Thanks Dimitri and John for trying to help me.

Thanks for the detailed reply. I am clear on the first two questions. But I
am still a little bit confused with my third question. May be I didn't
understand the concept right. So let me try again.

I was most confused with how do we do signaling to setup the "Extra Traffic"
LSP. Are you suggesting that there is not additional signaling to setup the
"Extra Traffic LSP". Setup the protection LSP along with the working LSP. At
this point the two LSP are setup and the user is free to use the protection
LSP to carry extra traffic.

My confusion is around this issue. Once the protection LSP is setup, do we
need to do extra signaling to setup the "Extra Traffic LSP" on top of the
protection LSP.

Thanks in advance for you help.

Balu

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]
Sent: Tuesday, April 27, 2004 3:13 AM
To: Balasubramania N. Pillai
Cc: [email-masked]'
Subject: Re: Basic doubts on 1:1 path protection signaling.

Balasubramania N. Pillai wrote:
> Hi All,
> 
> I was reading the draft-ietf-ccamp-gmpls-recovery-e2e-signaling-00.txt and
I
> have some basic doubts regarding signaling 1:1 protected LSP with extra
> traffic.
> 
> 
> 1. My understanding is that Section 7 talks about 1:1 Protection (the
> protection path is fully setup and cross-connects are made) and not 1:1
> Restoration (no cross-connects for protection path)

as the title indicates and explained in the text

> 2. Since the protection LSP is setup (cross-connected), I guess we should
> advertise that the resources used by the Protection LSP as "in use" in
> routing.

if it is cross-connected it is "in use"

> 3. Section 7, Paragraph 3 says that
> 
> 	Although the resources for the protecting LSP are pre-allocated,
> 	preemptable traffic may be carried end-to-end using this LSP (i.e.
> 	the protecting LSP is capable of carrying extra-traffic) with the
> 	caveat that this traffic will be preempted if the working LSP fails.
> 
> Take the case where a 1:1 LSP is setup. Both the working LSP and the
> protection LSP are setup and cross-connected. Now if we want to add a
> extra-traffic, how do we signal, to setup the LSP carrying the Extra
> traffic. 

the protecting lsp allows carrying extra-traffic (in a sense you may see 
for the 1:1 protection case, the protecting lsp as the "extra-traffic 
lsp" but this terminology is misleading reason why it is not used)

> What objects do we use to associate the "Extra Traffic LSP" to the
> protection LSP.

the association object is used to bind the protected and the protecting lsp

hope this clarifies (note: an update is being prepared to further 
clarify some of the comments made on the list)

thanks,
- dimitri
> Thanks for you time
> Balu

-- 
Papadimitriou Dimitri
E-mail : [email-masked]
E-mail : [email-masked]
Webpage: http://psg.com/~dpapadimitriou/
Address: Fr. Wellesplein 1, B-2018 Antwerpen, Belgium
Phone  : +32 3 240-8491

---

From: [email-masked]
Date: Tue, 27 Apr 2004 17:42:05 +0200

> need to do extra signaling to setup the "Extra Traffic LSP" on top of the

as the protecting LSP is activated you don't need such operation which 
is performed during the signaling phase (as said in section 7: "working 
and protecting LSPs are signaled as primary LSPs; both are fully 
instantiated during the provisioning phase. [..] preemptable traffic may 
be carried end-to-end using this (read: protecting) LSP (i.e. the 
protecting LSP is capable of carrying extra-traffic)"

---

From: "Vishal Sharma" <[email-masked]>
Date: Tue, 27 Apr 2004 09:20:27 -0700

Dimitri, Balu,

Good discussion/clarification. A question in-line.

-Vishal

> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of [email-masked]
> Sent: Tuesday, April 27, 2004 8:42 AM

This seems to make the assumption that the extra-traffic LSP will
be between the same ingress/egress point as the original working LSP.

In general, when using the capacity of the protection path in 1:1 protection
for extra-traffic this is not really needed. It should be possible
for extra-traffic to use only a segment of the protection LSP.
Indeed, several extra-traffic LSPs may be use the capacity of the
protection LSP, each using a different segment.
(In fact, this is what I thought the P&R analysis/terminology drafts
described, when I last looked at them.)

Is this not supported by the scheme in the e2e draft?

> >>I was reading the
> draft-ietf-ccamp-gmpls-recovery-e2e-signaling-00.txt and
> >
> > I
> >

---

From: [email-masked]
Date: Tue, 27 Apr 2004 18:26:44 +0200

just read the next section 8.

Vishal Sharma wrote:
>>>Thanks for the detailed reply. I am clear on the first two
>>
>>questions. But I
>>
>>>I was most confused with how do we do signaling to setup the
>>
>>"Extra Traffic"
>>
>>>LSP. Are you suggesting that there is not additional signaling
>>
>>to setup the
>>
>>>"Extra Traffic LSP". Setup the protection LSP along with the
>>
>>working LSP. At
>>
>>>this point the two LSP are setup and the user is free to use
>>
>>the protection
>>
>>>My confusion is around this issue. Once the protection LSP is
>>
>>setup, do we
>>
>>>need to do extra signaling to setup the "Extra Traffic LSP" on
>>
>>top of the
>>
>>>protection LSP.
>>
>>>>2. Since the protection LSP is setup (cross-connected), I guess
>>
>>we should
>>
>>>the protecting lsp allows carrying extra-traffic (in a sense
>>
>>you may see
>>
>>>the association object is used to bind the protected and the
>>
>>protecting lsp
>>